package com.ruoyi.powerdistribution.domain;

import java.math.BigDecimal;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 四级单位（县公司）考核金额单位：元
对象 pdm_examine_county
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
public class PdmExamineCounty extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String roleNm;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String roleCd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String requireCd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String compteHourNumX;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private BigDecimal amount;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRoleNm(String roleNm) 
    {
        this.roleNm = roleNm;
    }

    public String getRoleNm() 
    {
        return roleNm;
    }
    public void setRoleCd(String roleCd) 
    {
        this.roleCd = roleCd;
    }

    public String getRoleCd() 
    {
        return roleCd;
    }
    public void setRequireCd(String requireCd) 
    {
        this.requireCd = requireCd;
    }

    public String getRequireCd() 
    {
        return requireCd;
    }
    public void setCompteHourNumX(String compteHourNumX) 
    {
        this.compteHourNumX = compteHourNumX;
    }

    public String getCompteHourNumX() 
    {
        return compteHourNumX;
    }
    public void setAmount(BigDecimal amount)
    {
        this.amount = amount;
    }

    public BigDecimal getAmount()
    {
        return amount;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("roleNm", getRoleNm())
            .append("roleCd", getRoleCd())
            .append("requireCd", getRequireCd())
            .append("compteHourNumX", getCompteHourNumX())
            .append("amount", getAmount())
            .toString();
    }
}
